RENAME(1)

NOM
rename - Renommer des fichiers

SYNOPSIS

rename [options] expression remplacement fichier ...

DESCRIPTION

rename va renommer les fichiers indiqués en remplaçant la première occurrence d'expression dans leur nom par remplacement.

OPTIONS

-s, --symlink
    Ne pas renommer un lien symbolique mais sa cible.

-v, --verbose
    Montrer les fichiers renommés, s'il y en a.

-n, --no-act
    Ne pas faire de changement ; ajoutez --verbose pour voir ce qui serait fait.

-a, --all
    Remplacer toutes les occurrences d'expression plutôt qu'uniquement la première.

-l, --last
    Remplacer toutes la dernière occurrence d'expression plutôt qu'uniquement la première.

-o, --no-overwrite
    Ne pas écraser les fichiers existants. Quand --symlink est actif, ne pas écraser les liens symboliques pointant vers des cibles existantes.

-i, --interactive
    Demander avant d'écraser des fichiers existants.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

AVERTISSEMENT

Le renommage n'a pas de garde-fou par défaut ou sans les options --no-overwrite, --interactive ou --no-act. Si l'utilisateur a le droit de réécrire les noms de fichier, la commande réalisera l'action sans question. Par exemple, le résultat peut être plutôt catastrophique si la commande est lancée en tant que superutilisateur dans le répertoire /lib. Faites toujours une sauvegarde avant de lancer la commande, à moins de vraiment savoir ce que vous faites.

MODE INTERACTIF

Comme la plupart des outils standards, rename peut être utilisé sur un terminal (tty en bref) en mode canonique, alors la ligne est stockée par le terminal et vous appuyez sur entrée pour valider la saisie de l'utilisateur. Cependant, si vous mettez votre terminal en mode cbreak, rename n'a besoin que d'un appui sur une seule touche pour répondre à l'invite. Pour passer en mode cbreak, lancez par exemple :

    sh -c 'stty -icanon min 1; "$0" "$@"; stty icanon' rename -i fichiers_source

CODE DE RETOUR

0
    Toutes les opérations de renommage demandées ont réussi.

1
    Toutes les opérations de renommage ont échoué.

2
    Certaines opérations de renommage ont échoué.

4
    Rien n’a été renommé.

64
    Une erreur imprévue s'est produite.

EXEMPLES

Pour les fichiers titi1, ..., titi9, titi10, ..., titi278, les commandes

    rename titi titi00 titi?
    rename titi titi0 titi??

les transforment en titi001, ..., titi009, titi010, ..., titi278. Et

    rename .htm .html *.htm

va corriger les extensions de vos fichiers HTML. Fournir une chaîne vide pour raccourcir :

    rename '__nom_long' '' fichier_nom_long.*

supprimera la sous-chaîne dans les noms de fichier.

VOIR AUSSI

mv(1)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande rename fait partie du paquet util-linux qui peut être obtenue à l'adresse

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.